Bug 178975 - /proc/cpuinfo shows wrong value
/proc/cpuinfo shows wrong value
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: Regression
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2006-01-25 16:25 EST by Linda Wang
Modified: 2013-03-06 00:59 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 16:20:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2006-01-25 16:25:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
The /proc/cpuinfo file contains the wrong value on x86 Dual-Core Hyper-Threading enabled platforms. 

Version-Release number of selected component (if applicable):
kernel-2.6.9-28

How reproducible:
Always

Steps to Reproduce:
1.install latest RHEL4 U3 iso on a dual core HT enabled x86 system
2.login
3.cat /proc/cpuinfo
  

Actual Results:  the sibling field has the wrong value, it has twice the value reported.

Expected Results:  the corrected sibling value presented in the field.

Additional info:
Comment 4 Red Hat Bugzilla 2006-03-07 16:20:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.